import {Injectable} from "@angular/core";
import jwtDecode from "jwt-decode";
import { User } from "../../shared/model/user";

@Injectable({
  providedIn: 'root'
})
export class JwtService {
  parseUser(jwt: string): User {
    const decoded = jwtDecode(jwt) as any
    return JSON.parse(decoded.user)
  }
}
