import {NgModule} from '@angular/core'
import {
  CreBoolConfig,
  CreConfigActions,
  CreConfigContainer,
  CreConfigList,
  CreConfigSection,
  CreDateConfig,
  CreImageConfig,
  CrePeriodConfig,
  CreSecureConfig,
  CreTextConfig
} from './config'
import {SharedModule} from '../shared/shared.module'
import {CreInputsModule} from '../shared/components/inputs/inputs.module'
import {CreActionBarModule} from '../shared/components/action-bar/action-bar.module'
import {CreButtonsModule} from '../shared/components/buttons/buttons.module'
import {CreConfigEditor} from './config-editor'

@NgModule({
  declarations: [
    CreConfigList,
    CreConfigActions,
    CreConfigSection,
    CreConfigContainer,
    CreTextConfig,
    CreImageConfig,
    CreBoolConfig,
    CrePeriodConfig,
    CreDateConfig,
    CreSecureConfig,
    CreConfigEditor
  ],
  imports: [
    SharedModule,
    CreInputsModule,
    CreActionBarModule,
    CreButtonsModule
  ]
})
export class ConfigModule {
}
