import {NgModule} from '@angular/core';

import {GroupRoutingModule} from './group-routing.module';
import {ListComponent} from './pages/list/list.component';
import {SharedModule} from "../shared/shared.module";
import {AddComponent} from './pages/add/add.component';
import {EditComponent} from './pages/edit/edit.component';


@NgModule({
  declarations: [ListComponent, AddComponent, EditComponent],
  imports: [
    GroupRoutingModule,
    SharedModule
  ]
})
export class GroupModule { }
