import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { MaterialTypeRoutingModule } from './material-type-routing.module';
import { ListComponent } from './pages/list/list.component';
import {SharedModule} from "../shared/shared.module";
import { AddComponent } from './pages/add/add.component';
import { EditComponent } from './pages/edit/edit.component';
import {CreActionBarModule} from '../shared/components/action-bar/action-bar.module'
import {CreButtonsModule} from '../shared/components/buttons/buttons.module'
import {CreTablesModule} from '../shared/components/tables/tables.module'


@NgModule({
  declarations: [ListComponent, AddComponent, EditComponent],
  imports: [
    CommonModule,
    MaterialTypeRoutingModule,
    SharedModule,
    CreActionBarModule,
    CreButtonsModule,
    CreTablesModule
  ]
})
export class MaterialTypeModule { }
