import {NgModule} from '@angular/core'
import {CreFormActions, CreForm, CreFormContent, CreFormTitle} from './forms'
import {MatCardModule} from '@angular/material/card'
import {CommonModule} from '@angular/common'
import {MatButtonModule} from '@angular/material/button'
import {ReactiveFormsModule} from '@angular/forms'
import {CreSubmitButton} from './buttons';
import {CreButtonsModule} from '../buttons/buttons.module';

@NgModule({
  declarations: [
    CreForm,
    CreFormTitle,
    CreFormContent,
    CreFormActions,
    CreSubmitButton
  ],
  exports: [
    CreForm,
    CreFormTitle,
    CreFormContent,
    CreFormActions,
    CreSubmitButton
  ],
  imports: [
    MatCardModule,
    CommonModule,
    MatButtonModule,
    ReactiveFormsModule,
    CreButtonsModule
  ]
})
export class CreFormsModule {
}
