import {Component} from '@angular/core'

@Component({
  selector: 'info-banner',
  template: `
    <div class="info-banner-wrapper">
      <ng-content></ng-content>
    </div>
  `,
  styleUrls: ['info-banner.component.sass']
})
export class InfoBannerComponent {
}

@Component({
  selector: 'info-banner-title',
  template: `
    <h3>
      <ng-content></ng-content>
    </h3>
  `,
  styleUrls: ['info-banner.component.sass']
})
export class InfoBannerTitleComponent {
}

@Component({
  selector: 'info-banner-content',
  template: `
    <div class="info-banner-content-wrapper d-flex flex-row">
      <ng-content></ng-content>
    </div>
  `,
  styleUrls: ['info-banner.component.sass']
})
export class InfoBannerContentComponent {
}

@Component({
  selector: 'info-banner-section',
  template: `
    <div class="info-banner-section-wrapper">
      <ng-content></ng-content>
    </div>
  `,
  styleUrls: ['info-banner.component.sass']
})
export class InfoBannerSectionComponent {
}
