import {NgModule} from '@angular/core'
import {MatTableModule} from '@angular/material/table'
import {CommonModule} from '@angular/common'
import {CreInteractiveCell, CrePositionButtons, CreTable} from './tables'
import {MatButtonModule} from "@angular/material/button";
import {MatIconModule} from "@angular/material/icon";
import {MatSortModule} from '@angular/material/sort'

@NgModule({
  declarations: [
    CreTable,
    CreInteractiveCell,
    CrePositionButtons
  ],
    imports: [
        MatTableModule,
        CommonModule,
        MatButtonModule,
        MatIconModule,
        MatSortModule
    ],
  exports: [
    CreTable,
    CreInteractiveCell,
    CrePositionButtons
  ]
})
export class CreTablesModule {
}
