import {NgModule} from '@angular/core';

import {UserRoutingModule} from './user-routing.module';
import {ListComponent} from './pages/list/list.component';
import {SharedModule} from "../shared/shared.module";
import { AddComponent } from './pages/add/add.component';
import {MatSelectModule} from "@angular/material/select";
import { EditComponent } from './pages/edit/edit.component';
import { PasswordEditComponent } from './pages/password-edit/password-edit.component';


@NgModule({
  declarations: [ListComponent, AddComponent, EditComponent, PasswordEditComponent],
  imports: [
    UserRoutingModule,
    SharedModule,
    MatSelectModule
  ]
})
export class UserModule { }
