import {NgModule} from '@angular/core'
import {CreAccentButtonComponent, CreButtonComponent, CrePrimaryButtonComponent, CreWarnButtonComponent} from './buttons'
import {MatButtonModule} from '@angular/material/button'

@NgModule({
  declarations: [
    CreButtonComponent,
    CrePrimaryButtonComponent,
    CreAccentButtonComponent,
    CreWarnButtonComponent
  ],
  imports: [
    MatButtonModule
  ],
  exports: [
    CrePrimaryButtonComponent,
    CreAccentButtonComponent,
    CreWarnButtonComponent
  ]
})
export class CreButtonsModule {
}
